Package com.avaya.clientservices.agent

## Enum AgentReasonCodeLength

- java.lang.Object
- - java.lang.Enum<AgentReasonCodeLength>
  - - com.avaya.clientservices.agent.AgentReasonCodeLength

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AgentReasonCodeLength>`

      public enum AgentReasonCodeLength
      extends java.lang.Enum<AgentReasonCodeLength>

  Represents the policy used to describe the length of reason codes used by agents for logout and work mode change operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DOUBLE_DIGIT` | Reason code is administered to use double digits i.e range is between 0-99.
    `NOT_AVAILABLE` | Reason code length is not defined.
    `SINGLE_DIGIT` | Reason code is administered to use single digit i.e range is between 0-9.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AgentReasonCodeLength` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AgentReasonCodeLength[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_AVAILABLE

          public static final AgentReasonCodeLength NOT_AVAILABLE

      Reason code length is not defined.

    - #### SINGLE_DIGIT

          public static final AgentReasonCodeLength SINGLE_DIGIT

      Reason code is administered to use single digit i.e range is between 0-9.

    - #### DOUBLE_DIGIT

          public static final AgentReasonCodeLength DOUBLE_DIGIT

      Reason code is administered to use double digits i.e range is between 0-99.

  - ### Method Detail

    - #### values

          public static AgentReasonCodeLength[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AgentReasonCodeLength c : AgentReasonCodeLength.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AgentReasonCodeLength valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null